CC = gcc
CFLAGS = -Wall -Werror
LDFLAGS = 
BINS = chroot_bash chroot_csh

all: $(BINS)

chroot_%: chrootshell.c
	$(CC) $(CFLAGS) $(CPPFLAGS) $(LDFLAGS) -DSHELL=\"/bin/`echo $@ | cut -f 2 -d _`\" -DSHELL_SHORT=\"-`echo $@ | cut -f 2 -d _`\" -o $@ $^

clean:
	rm -f $(BINS)
